com.threerings.whirled.spot.tools.xml

## Class SpotSceneWriter

- java.lang.Object
- - com.threerings.whirled.spot.tools.xml.SpotSceneWriter

All Implemented Interfaces:
  com.threerings.tools.xml.NestableWriter

    public class SpotSceneWriter
    extends Object
    implements com.threerings.tools.xml.NestableWriter

Generates an XML representation of a `SpotSceneModel`.

### Field Summary

Fields
`static String` `OUTER_ELEMENT` The outer element used to enclose our spot scene definition.

### Constructor Summary

Constructors
Constructor and Description
`SpotSceneWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write(Object object, com.megginson.sax.DataWriter writer)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OUTER_ELEMENT

    public static final String OUTER_ELEMENT

The outer element used to enclose our spot scene definition.

See Also:
  Constant Field Values

### Constructor Detail

#### SpotSceneWriter

    public SpotSceneWriter()

### Method Detail

#### write

    public void write(Object object,
                      com.megginson.sax.DataWriter writer)
               throws SAXException

Specified by:
  `write` in interface `com.threerings.tools.xml.NestableWriter`
Throws:
  `SAXException`